OOC-class {ontoTools} | R Documentation

## Class "OOC" object-ontology complex

### Description

Object that binds ontology (structured vocabulary) with an object-term map.

### Objects from the Class

Objects can be created by calls of the form `new("OOC", ...)`.

### Slots

`ontology`:
  Object of class `"ontology"` instance of ontoTools::ontology
`OOmap`:
  Object of class `"namedSparse"` SparseM::matrix.csr bound with dimnames facilities

### Methods

coverageMat
  `signature(x = "OOC")`: return a namedSparse incidence matrix with r,c element indicating whether term c covers object r
ontology
  `signature(x = "OOC")`: accessor
OOmap
  `signature(x = "OOC")`: accessor
show
  `signature(object = "OOC")`: concise printer

### Author(s)

VJ Carey <stvjc@channing.harvard.edu>

### Examples

    data(litOnto)
    g1 <- new("rootedDAG", DAG=litOnto, root="A")
    o1 <- new("ontology", name="demo", version="0.1",
            rDAG=g1)
    kvlist <- list(W="E", X="K", Y="B", Z=c("D","G"))
    litMap <- otkvList2namedSparse( names(kvlist), LETTERS[1:12], kvlist )
    print(litMap)
    ooc1 <- makeOOC( o1, litMap )
    show(ooc1)
    print(coverageMat(ooc1))
    # note the following will be slow with large OOCs
    print(conceptProbs(ooc1))
    # for larger OOCs it is useful to precompute the accessibility
    # matrix of the ontology and the map from objects to terms -- these
    # can be supplied as additional arguments to conceptProbs

[Package ontoTools version 1.12.1 Index]